Name: jakarta-commons-digester
Version: 1.6
Release: alt0.M24.1

Summary: Jakarta Commons Digester Package
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/digester/
Source0: http://www.apache.org/dist/jakarta/commons/digester/source/commons-digester-%{version}-src.tar.gz
Source1: jakarta-commons-digester-build.properties 

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: j2se1.4-sun-devel ant junit
BuildPreReq: jakarta-commons-beanutils jakarta-commons-beanutils-javadoc
BuildPreReq: jakarta-commons-collections jakarta-commons-collections-javadoc
BuildPreReq: jakarta-commons-logging jakarta-commons-logging-javadoc
BuildPreReq: xerces-j >= 2.6.2

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-commons-beanutils
Requires: jakarta-commons-collections
Requires: xerces-j >= 2.6.2 jakarta-commons-logging

%description
The goal of Digester project is to create and maintain a XML -> Java
object mapping package written in the Java language to be distributed
under the ASF license.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2 jakarta-commons-beanutils-javadoc
Requires: jakarta-commons-collections-javadoc jakarta-commons-logging-javadoc

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-digester-%version-src
%__cp %SOURCE1 build.properties

%build
%__ant dist test

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 dist/commons-digester.jar %buildroot%_javadir/%name.jar
%__cp dist/*.txt %buildroot%_docdir/%name-%version/
%__cp *.html %buildroot%_docdir/%name-%version/
%__mv dist/docs/api %buildroot%_javadocdir/%name

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Wed May 04 2005 Alexey Borovskoy <alb@altlinux.ru> 1.6-alt0.M24.1
- Backport to Master 2.4
- Fallback to stable version
- Sync with my local repo

* Tue Mar 22 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7-alt0.1
- rpm-build-java macroces
- cvs 20050321

* Fri Sep 10 2004 Vladimir Lettiev <crux@altlinux.ru> 1.6-alt1
- 1.6
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.5-3jpp
- update for JPackage 1.5

* Thu May 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5-2jpp
- used correct JPP 1.5 spec file

* Thu May 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5-2jpp
- 1.5

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 1.4.1-2jpp
- for jpackage-utils 1.5

* Mon Mar  3 2003 Ville Skytt <ville.skytta at iki.fi> - 1.4.1-1jpp
- Update to 1.4.1.
- No macros in URL and SourceX tags.
- Run unit tests during build.
- Remove spurious api/ from installed javadoc path.
- Some spec file cleanup.

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.4-2jpp
- fix ASF license and add packager tag

* Fri Feb 14 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.4-1jpp
- 1.4

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-1jpp
- 1.3

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-3jpp
- update to meet new jaxp_parser_impl and xml-commons-apis

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-1jpp
- 1.2
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
